NetPack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class NetPack

    java.lang.Object
      network.NetPack

public class NetPack
extends java.lang.Object

NetPack Klasse Beinhaltet ein byte-Array mit den Daten die gesendet werden sollen, sowie die Möglichkeit eine Sonderzeichen Substitution durchzuführen

Field Summary
`static int` | `CAMELSE`
`static int` | `CAMENDIF`
`static int` | `CAMIF`
`static int` | `CMD_MAP_SIZE`
`static int` | `EXITPRG`
`static int` | `GETPOS`
`static int` | `GRIP`
`static int` | `HALT`
`static int` | `HOME`
`static int` | `IMAGEREQUEST`
`static int` | `LOAD_BITMAP`
`static int` | `MOTION_PARAM`
`static int` | `MOTION_PERC`
`static int` | `MOVEMOD`
`static int` | `MOVEMODSTEP`
`static int` | `MOVEPOS`
`static int` | `OBSTACLE_CIRCLE`
`static int` | `OBSTACLE_RECT`
`static int` | `OFFSET`
`static int` | `PACK_SIZE`
`static int` | `PARAM_DIRECT`
`static int` | `PARAM_FLOAT1`
`static int` | `PARAM_FLOAT2`
`static int` | `PARAM_INT1`
`static int` | `PARAM_INT2`
`static int` | `PARAM_LIN`
`static int` | `PARAM_POS`
`static int` | `PARAM_STRING`
`static int` | `PARAM_UNKN1`
`static int` | `PARAM_UNKN2`
`static int` | `PRG_START`
`static int` | `RAMPACC`
`static int` | `RAMPVEL`
`static int` | `REFRESH_DATABASE`
`static int` | `RESET`
`static int` | `SAVE_BITMAP`
`static int` | `SAVE_DATABASE`
`static int` | `SET_CUR_TRANSOBJ`
`static int` | `SLEEP`
`static int` | `WAIT`
`static int` | `WAIT_2`
`static int` | `WAIT_3`
`static int` | `WAIT_4`
`static int` | `WAITHOME`
`static int` | `WAITPOS`

Constructor Summary
`NetPack(Command c)` Konstruktor der Commando erhält u. ein NetPack erzeugt

Method Summary
`byte[]` | `getNData()` Liefert das Byte-Array, das übertragen werden kann
`int` | `getPackLen()` Liefert die Länge des Byte Arrays
`int` | `substitute(int iLen)` substituiert die Sondereichen 0x02 u. 0x03

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMD_MAP_SIZE

    public static final int CMD_MAP_SIZE

See Also:
  Constant Field Values

### PACK_SIZE

    public static final int PACK_SIZE

See Also:
  Constant Field Values

### WAIT

    public static final int WAIT

See Also:
  Constant Field Values

### HOME

    public static final int HOME

See Also:
  Constant Field Values

### HALT

    public static final int HALT

See Also:
  Constant Field Values

### RESET

    public static final int RESET

See Also:
  Constant Field Values

### MOVEMOD

    public static final int MOVEMOD

See Also:
  Constant Field Values

### MOVEMODSTEP

    public static final int MOVEMODSTEP

See Also:
  Constant Field Values

### MOVEPOS

    public static final int MOVEPOS

See Also:
  Constant Field Values

### PRG_START

    public static final int PRG_START

See Also:
  Constant Field Values

### RAMPVEL

    public static final int RAMPVEL

See Also:
  Constant Field Values

### RAMPACC

    public static final int RAMPACC

See Also:
  Constant Field Values

### WAITHOME

    public static final int WAITHOME

See Also:
  Constant Field Values

### WAITPOS

    public static final int WAITPOS

See Also:
  Constant Field Values

### SLEEP

    public static final int SLEEP

See Also:
  Constant Field Values

### GRIP

    public static final int GRIP

See Also:
  Constant Field Values

### OFFSET

    public static final int OFFSET

See Also:
  Constant Field Values

### MOTION_PERC

    public static final int MOTION_PERC

See Also:
  Constant Field Values

### MOTION_PARAM

    public static final int MOTION_PARAM

See Also:
  Constant Field Values

### OBSTACLE_CIRCLE

    public static final int OBSTACLE_CIRCLE

See Also:
  Constant Field Values

### OBSTACLE_RECT

    public static final int OBSTACLE_RECT

See Also:
  Constant Field Values

### SET_CUR_TRANSOBJ

    public static final int SET_CUR_TRANSOBJ

See Also:
  Constant Field Values

### SAVE_DATABASE

    public static final int SAVE_DATABASE

See Also:
  Constant Field Values

### REFRESH_DATABASE

    public static final int REFRESH_DATABASE

See Also:
  Constant Field Values

### LOAD_BITMAP

    public static final int LOAD_BITMAP

See Also:
  Constant Field Values

### SAVE_BITMAP

    public static final int SAVE_BITMAP

See Also:
  Constant Field Values

### CAMIF

    public static final int CAMIF

See Also:
  Constant Field Values

### CAMELSE

    public static final int CAMELSE

See Also:
  Constant Field Values

### CAMENDIF

    public static final int CAMENDIF

See Also:
  Constant Field Values

### GETPOS

    public static final int GETPOS

See Also:
  Constant Field Values

### EXITPRG

    public static final int EXITPRG

See Also:
  Constant Field Values

### IMAGEREQUEST

    public static final int IMAGEREQUEST

See Also:
  Constant Field Values

### PARAM_LIN

    public static final int PARAM_LIN

See Also:
  Constant Field Values

### PARAM_DIRECT

    public static final int PARAM_DIRECT

See Also:
  Constant Field Values

### PARAM_INT1

    public static final int PARAM_INT1

See Also:
  Constant Field Values

### PARAM_INT2

    public static final int PARAM_INT2

See Also:
  Constant Field Values

### PARAM_FLOAT1

    public static final int PARAM_FLOAT1

See Also:
  Constant Field Values

### PARAM_FLOAT2

    public static final int PARAM_FLOAT2

See Also:
  Constant Field Values

### PARAM_POS

    public static final int PARAM_POS

See Also:
  Constant Field Values

### PARAM_UNKN1

    public static final int PARAM_UNKN1

See Also:
  Constant Field Values

### PARAM_UNKN2

    public static final int PARAM_UNKN2

See Also:
  Constant Field Values

### PARAM_STRING

    public static final int PARAM_STRING

See Also:
  Constant Field Values

### WAIT_2

    public static final int WAIT_2

See Also:
  Constant Field Values

### WAIT_3

    public static final int WAIT_3

See Also:
  Constant Field Values

### WAIT_4

    public static final int WAIT_4

See Also:
  Constant Field Values

Constructor Detail

### NetPack

    public NetPack(Command c)

  Konstruktor der Commando erhält u. ein NetPack erzeugt

Parameters:
  `c` - COmmando zum Zerlegen

Method Detail

### substitute

    public int substitute(int iLen)

  substituiert die Sondereichen 0x02 u. 0x03

  Parameters:
    `iLen` - Länge des Paketes
  Returns:
    Länge des endgültigen Pakets

### getNData

    public byte[] getNData()

  Liefert das Byte-Array, das übertragen werden kann

  Returns:
    nData Byte-Array zum Übertragen

### getPackLen

    public int getPackLen()

  Liefert die Länge des Byte Arrays

  Returns:
    Länge des Pakets

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD